org.jbpm.process.instance.context.variable

## Class VariableScopeInstance

- java.lang.Object
- - org.jbpm.process.instance.context.AbstractContextInstance
  - - org.jbpm.process.instance.context.variable.VariableScopeInstance

- All Implemented Interfaces:
    Serializable, ContextInstance

      public class VariableScopeInstance
      extends AbstractContextInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableScopeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextType()`
    `Object` | `getVariable(String name)`
    `Map<String,Object>` | `getVariables()`
    `VariableScope` | `getVariableScope()`
    `void` | `internalSetVariable(String name, Object value)`
    `void` | `setContextInstanceContainer(ContextInstanceContainer contextInstanceContainer)`
    `void` | `setVariable(String name, Object value)`

    - ### Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance

      `getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setProcessInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableScopeInstance

          public VariableScopeInstance()

  - ### Method Detail

    - #### getContextType

          public String getContextType()

    - #### getVariable

          public Object getVariable(String name)

    - #### getVariables

          public Map<String,Object> getVariables()

    - #### setVariable

          public void setVariable(String name,
                                  Object value)

    - #### internalSetVariable

          public void internalSetVariable(String name,
                                          Object value)

    - #### getVariableScope

          public VariableScope getVariableScope()

    - #### setContextInstanceContainer

          public void setContextInstanceContainer(ContextInstanceContainer contextInstanceContainer)

      Overrides:
        `setContextInstanceContainer` in class `AbstractContextInstance`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.